> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getPreConfCoverage

> ネットワークステークに対する割合と地域別の分布として、Preconfirmations のカバレッジを取得します。

このメソッドを使用して、[Preconfirmations のカバレッジ](/docs/ja/pre-confirmations/overview#カバレッジ)を取得します。レスポンスには、ネットワークステークのカバレッジと地域別の内訳が含まれます。

## エンドポイント

Helius の [Gatekeeper](/docs/ja/gatekeeper/overview) エンドポイントに HTTP POST リクエストを送信します。

```text theme={"system"}
POST https://beta.helius-rpc.com/?api-key=YOUR_API_KEY
```

## 認証

<ParamField query="api-key" type="string" required>
  `api-key` クエリパラメータとして渡す Helius API キーです。
</ParamField>

## リクエスト本文

このメソッドはパラメータを取りません。リクエストから `params` を省略してください。

## レスポンス

<ResponseField name="result.networkSharePercent" type="number">
  Helius と BAM がカバーするネットワーク全体のステークの割合です。
</ResponseField>

<ResponseField name="result.coverageByRegion" type="object">
  各地域におけるカバー対象ステークの割合です。たとえば、`"fra": 0.27` は、フランクフルトがカバー対象ステークの 27% を占めることを意味します。
</ResponseField>

<Note>
  カバレッジは、配信されたトランザクションの割合ではなく、ステークに基づいて測定されます。
  サブスクリプションフィルターに関係なく両方のソースをカバーしますが、
  継続的なストリームを保証するものではありません。[カバレッジ](/docs/ja/pre-confirmations/overview#カバレッジ)を参照してください。
</Note>

<RequestExample>
  ```bash cURL theme={"system"}
  curl "https://beta.helius-rpc.com/?api-key=YOUR_API_KEY" \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
      "jsonrpc": "2.0",
      "id": 1,
      "method": "getPreConfCoverage"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={"system"}
  {
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
      "networkSharePercent": 45.84,
      "coverageByRegion": {
        "ams": 0.21,
        "dub": 0.02,
        "ewr": 0.12,
        "fra": 0.27,
        "hkg": 0.01,
        "iad": 0.01,
        "lax": 0.02,
        "lon": 0.06,
        "pit": 0.01,
        "sea": 0.03,
        "sgp": 0.08,
        "slc": 0.01,
        "sqq": 0.09,
        "tyo": 0.06
      }
    }
  }
  ```
</ResponseExample>
